#! /bin/sh
# connect.sh -- Appel UUCP alphanet
# Marc SCHAEFER <schaefer@alphanet.ch>
# Creation: 26/02/96
# Modification: 25/06/96
# V1.0 PV003 MSC96
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# NOTES
#    Must be run under root.
# BUGS

# Changez ca en zero si connect.sh est appele de crontab, autrement
# vous vous ramasserez tout en mail.

SHOW_ALL=1

if [ "`whoami`" != "root" ]; then
   echo "$0: lancez-moi sous root."
   exit 2
fi

if [ -f /usr/lib/news/.inn_installed ]; then
   if [ "$SHOW_ALL" = "1" ]; then
      echo "Compression news INN."
   fi
   su news -c "/usr/lib/news/bin/sendbatch -c alphanet"
else
   if [ -f /usr/lib/news/.cnews_installed ]; then
      if [ "$SHOW_ALL" = "1" ]; then
         echo "Compression news CNEWS."
      fi
      su news -c "/usr/lib/newsbin/batch/sendbatches alphanet"
   else
      if [ "$SHOW_ALL" = "1" ]; then
         echo "Aucun systeme de news installe, pas de preparation."
      fi
   fi  
fi

if [ "0" = "1" ]; then
   if [ "$SHOW_ALL" = "1" ]; then
      echo "Compression mail"
   fi
fi

if [ "$SHOW_ALL" = "1" ]; then
   tail -f --bytes=1 /usr/spool/uucp/.Log/uucico/alphanet &
   TOKILL=$!
fi

if [ "$SHOW_ALL" = "1" ]; then
   echo "Connexion UUCP alphanet ... "
fi
su uucp -c "/usr/lib/uucp/uucico -Salphanet -r1 -D -q"

if [ "$SHOW_ALL" = "1" ]; then
   kill $TOKILL

   tail -f --bytes=1 /usr/spool/uucp/.Log/uuxqt/alphanet &
   TOKILL=$!

echo "Dcompression des messages ... "
fi
su uucp -c "/usr/lib/uucp/uuxqt -salphanet"

if [ "$SHOW_ALL" = "1" ]; then
   kill $TOKILL
fi

/usr/lib/sendmail -q

